Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Oct 2017 11:31:16 +0200

martin rudalics <[email-masked]> writes:

>> I'm not sure.  It just looks like something is missing when there is a
>> white square there instead of some scroll bar theme color.
>
> Incidentally, that square is produced by the function that troubles us
> in this thread - x_clear_area.  That square represents some sort of
> blind area, I have no good idea what to show there or how to paint it.
>
>> I see the same behaviour as Robert.
>
> To verify, can you also try what I asked Robert?  Namely, evaluate
>

See below

> (setq frame-size-history '(100))
>
> disable vertical scroll bars and enable them again.  Then post the value
> of ‘frame-size-history’.
>

(82
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 998 1494 998)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1494 1100 1494 998)
	  (1510 1100 1536 998))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 998)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 1100 1494 998)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 1100 1458 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1494 1100 1494 1100)
	  (768 595))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1494 1100 1494 1100)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 1100)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 1100)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1476 1100 1494 1100)
	  (1492 1100 1510 1100))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1476 1100 1494 1100)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1476 1100 1494 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1458 1100 1476 1100)
	  (1500 1100 1492 1100))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1476 1100)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1476 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1458 1100 1458 1100)
	  (737 595))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1458 1100 1458 1100)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))